/* Настройка блока с контентом*/
.content {
    margin-top: 10px;
    margin-bottom: 10px;
    padding-left: 10px;
    padding-right: 10px;
    max-width: 100%; /* гарантируем, что не выйдет за границы */
    overflow: hidden; /* обрезаем лишнее */
}

.content article p {
    margin-bottom: 1.2em;
}

.content article h1 {
    color: #003C09;
    text-align: center;
    padding-top: 10px;
    padding-bottom: 10px;
}

/* Декоративная линия под заголовком */
.content h1::after {
    content: '';
    display: block;
    width: 180px;
    height: 1px;
    background: #2e7d32;       /* Насыщенный зеленый */
    margin: 15px auto 0;
}

.entry-content h2, 
.entry-content h3, 
.entry-content h4, 
.entry-content h5, 
.entry-content h6 {
    color: #003C09;
    margin-top: 15px;
    margin-bottom: 15px;
}

.entry-content a {
    text-decoration: underline;
    color: #002b06;
}

.excerpt {
    flex: 1 1 200px; /* растягивается, минимальная ширина 200px */
    min-width: 0; /* важно для корректного сжатия */
    word-wrap: break-word; /* перенос длинных слов */
    overflow-wrap: break-word;
    max-width: 100%;
}

.excerpt h2 {
    margin-bottom: 0.8em;
}

.excerpt h2 > a {
    display: inline-block;
    text-decoration: none;
    color: #003C09;
    word-wrap: break-word;
}

.excerpt p {
    word-wrap: break-word;
    overflow-wrap: break-word;
}

/* Основной контейнер для статьи */
.short-view {
    display: flex;
    justify-content: space-between;
    align-items: center; /* выравнивание по верхнему краю, а не по центру */
    margin-top: 1em;
    margin-bottom: 1em;
}

.article-pic {
    flex: 0 0 150px; /* базовый размер, не растягивается, не сжимается */
    max-width: 100%;
    margin-right: 1em;
}

.article-pic img {
    border-radius: 10px;
    height: auto;
    display: block;
}

.read-more {
    display: inline-block;
    color: #003C09;
    font-weight: bold;
}

.page-numbers {
    color: #003C09;
    font-size: 1.4em;
    font-weight: bold;
}

.current {
    color: #00a017ff;
}

.pagination {
    margin-top: 1em;
    padding-top: 1em;
    margin-bottom: 0.3em;
    border-top: 1px solid #e1ede4; /* Декоративное отчеркивание статьи и наыигации */
}

.nav-links {
    display: flex;
    justify-content: center;
    gap: 25px;
    padding-left: 5px;
    padding-right: 5px;
}

.pagination .nav-links > a,
.pagination .nav-links > span {
    padding: 8px 15px;
    border: 1px solid #003C09;
    border-radius: 10px;
}

.nav-links > a:hover,
.nav-links > span:hover {
    background: #003C09;
    color: #ffffff;
}

/* Увеличение картинки при наведении */
.article-pic img:hover {
    transform: scale(1.05);          /* увеличиваем на 5% */
    transition: transform 0.3s ease; /* плавность анимации */
}

.excerpt h2 > a:hover,
.read-more:hover {
    text-decoration: underline;
}

/** ------------- Мобильная пагинация ------------- */
/* Для планшетов */
@media screen and (max-width: 1068px) {
    .pagination .nav-links {
        gap: 15px;
    }
    
    .pagination .nav-links > a,
    .pagination .nav-links > span {
        padding: 6px 12px;
    }
}

/* Для мобильных устройств */
@media screen and (max-width: 768px) {
    .pagination .nav-links {
        gap: 5px;
    }

    .pagination .nav-links > a,
    .pagination .nav-links > span {
        padding: 5px 10px;
        font-size: 1.3em;
        min-width: 30px;
        border-radius: 8px;
    }

    .short-view {
        display: flex;
        /** align-items: center; /* выравнивание по верхнему краю, а не по центру */
        align-items: center; /* выравнивание по верхнему краю, а не по центру */
        flex-direction: column; /* разрешаем перенос на новую строку */
        margin-top: 1em;
        margin-bottom: 1em;
    }

    .excerpt > h2 {
        margin-top: 10px;
        text-align: center;
    }

    .read-more {
        display: none;
    }
}

@media screen and (max-width: 568px) {
    .pagination .nav-links > a,
    .pagination .nav-links > span {
        padding: 5px 10px;
        font-size: 1em;
        min-width: 30px;
        border-radius: 8px;
    }
}